get_iplayer forums

Full Version: LibXML error on Raspberry Pi
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Hi,

I recently noticed that the XML feeds for my installation for get_iplayer were no longer working, so I upgraded to version 3.0. But when I run the script now I get the following output:

Code:
Can't locate XML/LibXML/XPathContext.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at ./get_iplayer line 7417.
BEGIN failed--compilation aborted at ./get_iplayer line 7417.


I am running Raspbian Wheezy which I appreciate is rather old, and it is my intention to upgrade in the near future, but the Pi is used for all sorts of things, web server, NAS drive, backup machine, Smart Home, etc so the re-installation is going to be a big job. Therefore if there is a quick solution to the above that would be great. It seems as though something is not being loaded. I have perl installed (version 5.14.2), and libxml2 is apparently at the latest version.

Can anyone help? Would be much appreciated. Thanks.
Read the Linux/BSD manualĀ installation doc in wiki. EDIT: Make sure you have installed everything indicated.
Thanks. Eventually worked out how to do this. LibXML was not installed.

Thanks.